%define upstream_name    Unix-ConfigFile
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Unix::ConfigFile module for Perl
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Unix/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		fix-build.diff

BuildArch:	noarch


%description
Easy access to data in many formats

%prep
%setup -q -n  %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/*/*
%dir %{perl_vendorlib}/Unix
%{perl_vendorlib}/Unix/*.pm


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.60.0-10.mga9
+ Revision: 1806546
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-9.mga8
+ Revision: 1497971
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-8.mga7
+ Revision: 1272412
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-7.mga6
+ Revision: 1035560
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.60.0-6.mga6
+ Revision: 972173
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 0.60.0-5.mga6
+ Revision: 896234
- patch 0: fix testsuite

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 750844
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 686801
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 515859
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 374622
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 27218
- mageia rebuild
- imported package perl-Unix-ConfigFile


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2010.0
+ Revision: 408096
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.06-8mdv2009.0
+ Revision: 242117
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- simplify buildrequires
- buildrequires obsoletes buildprereq

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.06-6mdv2008.0
+ Revision: 23626
- rebuild


* Tue Sep 27 2005 Olivier Thauvin <nanardon@mandriva.org> 0.06-5mdk
- rebuild

* Mon Aug 30 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.06-4mdk
- Rebuild, cleanup of spec

* Tue Jul 22 2003 François Pons <fpons@mandrakesoft.com> 0.06-3mdk
- applied patch from Michael Scherer.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.06-2mdk
- rebuild for new auto{prov,req}

* Thu Jul 25 2002 Philippe Libat <philippe@mandrakesoft.com> 0.06-1mdk
- initial specfile

